This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998989 - No error message when trying to extend virtual disk but storage domain is inaccessible.
No error message when trying to extend virtual disk but storage domain is ina...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Sergey Gotliv
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 09:30 EDT by Leonid Natapov
Modified: 2016-02-10 12:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 04:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2013-08-20 09:30:15 EDT
Description of problem:

Storage domain is inaccessible for some reason (not Active).
User tries to extend virtual disk.
Nothing happens.
in engine.log file getting following message:

2013-08-20 16:22:34,706 WARN  [org.ovirt.engine.core.bll.UpdateVmDiskCommand] (ajp-/127.0.0.1:8702-12) CanDoAction of action UpdateVmDisk failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL

but there are no errors in audit log and no CanDoAction pop up window displayed to user. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Create VM with disk.
2.Put SD to maintenance.
3.Edit VM's disk and try to extend it.

Actual results:
Nothing happens. No errors.

Expected results:
CanDoAction error and audit log error.
Comment 1 Sergey Gotliv 2013-08-21 04:28:31 EDT
I checked that scenario on several environments and its working as expected.
More than that on yours I see printing of canDoAction in the log, but for some reason you don't have popups. Please, check if you see any other canDoAction.

Note You need to log in before you can comment on or make changes to this bug.